package com.srs.routine.mapper;

import java.util.List;

import com.srs.common.core.domain.AjaxResult;
import com.srs.routine.domain.RtClassMeetingClass;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 需开班会班级Mapper接口
 *
 * @author srs
 * @date 2025-04-08
 */
@Mapper
public interface RtClassMeetingClassMapper extends BaseMapper<RtClassMeetingClass> {


    public List<RtClassMeetingClass> listFdyNeed(RtClassMeetingClass dto);

    public List<RtClassMeetingClass> listView(RtClassMeetingClass param);


    /**
     * 查询需开班会班级
     *
     * @param id 需开班会班级主键
     * @return 需开班会班级
     */
    public RtClassMeetingClass selectRtClassMeetingClassById(Long id);

    /**
     * 查询需开班会班级列表
     *
     * @param rtClassMeetingClass 需开班会班级
     * @return 需开班会班级集合
     */
    List<RtClassMeetingClass> selectRtClassMeetingClassList(RtClassMeetingClass rtClassMeetingClass);

    /**
     * 新增需开班会班级
     *
     * @param rtClassMeetingClass 需开班会班级
     * @return 结果
     */
    int insertRtClassMeetingClass(RtClassMeetingClass rtClassMeetingClass);

    /**
     * 修改需开班会班级
     *
     * @param rtClassMeetingClass 需开班会班级
     * @return 结果
     */
    int updateRtClassMeetingClass(RtClassMeetingClass rtClassMeetingClass);

    /**
     * 删除需开班会班级
     *
     * @param id 需开班会班级主键
     * @return 结果
     */
    int deleteRtClassMeetingClassById(Long id);

    /**
     * 批量删除需开班会班级
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtClassMeetingClassByIds(Long[] ids);
}
